Subject: Re: bug#7388: 24.0.50; "Active processes exist; kill them and exit anyway?" or let them live on, but exit emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2019 10:09:18 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 14 Oct 2019 03:10:14 +0200
> Cc: [email-masked]
> 
> [email-masked] writes:
> 
> > "Active processes exist; kill them and exit anyway? (yes or no)"
> > Why is there no third choice: "let them live on, but exit emacs"?
> > Hasn't emacs ever heard of bash's $ help disown etc.? How could mighty
> > emacs not be capable of things like that?
> > And the whole thing should be reworded clearer too.
> > Perhaps even implement choosing which processes are to live on after
> > emacs exits.
> 
> I don't think implementing this would be impossible (although perhaps a
> bit tricky to make it work on all OS-es: I have no idea), but I've never
> felt a need for this.  If there's no good use case, then I don't see the
> point, so I'm closing this bug report.

Right.  Emacs subprocesses generally are connected to Emacs via pipes
or PTYs, so letting them live when Emacs exits will leave a broken
process whose standard handles point to the great void.